---
title: "Create a new Project | Nuvio Docs"
description: "Creates a new project"
url: https://nuvio.io/docs/api/create-project
---

# Create a new Project

POST `/v1/project`

Needs an API key with the [`write`](https://nuvio.io/docs/api/authentication#scopes) scope.

## Parameters

-   `name` string Required

    Name of the project

## More parameters

-   `startDate` string

    Starting date of the project. Should be in `YYYY-MM-DD` format

-   `endDate` string

    Ending date of the project. Should be in `YYYY-MM-DD` format

-   `projectCode` string

    Name of the project

-   `budget` number

    Total budget of the project.

## Returns

The created project.

`401`

No usable `Authorization: Bearer {token}` header (1002).

`403`

The access token is unknown, or lacks the scope this route needs (1001).

POST /v1/project

```
curl -X POST https://api.nuvio.io/v1/project \
  -H "Authorization: Bearer $NUVIO_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Acme Supplies"
  }'
```

Response

```
{
  "success": true,
  "errors": null,
  "data": {
    "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
    "name": "Acme Supplies",
    "budget": 100,
    "startDate": "2026-11-05",
    "endDate": "2026-11-05"
  }
}
```
